#include<iostream>
using namespace std;
int main()
{
    long long a, b, L, br = 0;;

    cin >> a >> b >> L;

    int y;

    for(long long i = a + b; i <= L; i++)
    {
        for(int x = 1; x <= L; x++)
        {
            for(int y = 1; y <= L - x; y++)
            {
                if(a * x + b * y == i)
                {
                    br++;

                    //cout << x << ' ' << y << ' ' << i;

                    if(i != L)
                        i++;
                    else
                    {
                        cout << L - br;

                        return 0;
                    }

                    break;
                }
                if(a * x + b * y > i)
                    break;
            }

        }
    }

    cout << L - br;

    return 0;
}
